function setupSeeAllList({ 
    containerSelector,       // shared selector like '.listing-items'
    itemSelector,            // item inside each container
    seeAllSelector,          // button inside each container
    visibleCount 
}) {
    const containers = document.querySelectorAll(containerSelector);
    if (!containers.length) return;
    containers.forEach(container => {
        const items = container.querySelectorAll(itemSelector);
        const seeAllBtn = container.querySelector(seeAllSelector);
        items.forEach((item, index) => {
            item.style.display = index < visibleCount ? 'list-item' : 'none';
        });
        if (seeAllBtn) {
            seeAllBtn.addEventListener('click', () => {
                items.forEach(item => item.style.display = 'list-item');
                seeAllBtn.style.display = 'none';
            });
        }
    });
}
document.addEventListener('DOMContentLoaded', () => {
    // Example 1
    setupSeeAllList({
        containerSelector: '[data-list="data-toggle-list"]',
        itemSelector: '.items-li:not(.see-all)',
        seeAllSelector: '.see-all',
        visibleCount: 3
    });
});
 // Price range slider
 // Price range slider logic only runs if rangeInput and priceInput exist
const rangeInput = document.querySelectorAll(".range-input input"),
priceInput = document.querySelectorAll(".price-input input"),
range = document.querySelector(".price-slider .price-progress");
if (rangeInput.length > 0 && priceInput.length > 0 && range) {
let priceGap = 100;
let activeFilters = {
min_price: parseInt(rangeInput[0].value),
max_price: parseInt(rangeInput[1].value)
};
priceInput.forEach((input) => {
input.addEventListener("input", (e) => {
let minPrice = parseInt(priceInput[0].value),
    maxPrice = parseInt(priceInput[1].value);
if (maxPrice - minPrice >= priceGap && maxPrice <= rangeInput[1].max) {
  if (e.target.className === "input-min") {
    rangeInput[0].value = minPrice;
    range.style.left = (minPrice / rangeInput[0].max) * 100 + "%";
    activeFilters.min_price = minPrice;
  } else {
    rangeInput[1].value = maxPrice;
    range.style.right = 100 - (maxPrice / rangeInput[1].max) * 100 + "%";
    activeFilters.max_price = maxPrice;
  }
 // countAppliedFilters();
 // updateProducts();
}
});
});
rangeInput.forEach((input) => {
input.addEventListener("input", (e) => {
let minVal = parseInt(rangeInput[0].value),
    maxVal = parseInt(rangeInput[1].value);
if (maxVal - minVal < priceGap) {
  if (e.target.className === "range-min") {
    rangeInput[0].value = maxVal - priceGap;
  } else {
    rangeInput[1].value = minVal + priceGap;
  }
} else {
  priceInput[0].value = minVal;
  priceInput[1].value = maxVal;
  activeFilters.min_price = minVal;
  activeFilters.max_price = maxVal;
  range.style.left = (minVal / rangeInput[0].max) * 100 + "%";
  range.style.right = 100 - (maxVal / rangeInput[1].max) * 100 + "%";
//  countAppliedFilters();
 // updateProducts();
}
});
});
// Initialize range slider position
const minVal = parseInt(rangeInput[0].value);
const maxVal = parseInt(rangeInput[1].value);
range.style.left = (minVal / rangeInput[0].max) * 100 + "%";
range.style.right = 100 - (maxVal / rangeInput[1].max) * 100 + "%";
}
$(document).ready(function(){
    $('.tabsv1-ul li').click(function(){
        var tab_id = $(this).attr('data-tab');
        $('.tabsv1-ul li').removeClass('current');
        $('.tab-content').removeClass('current');
        $(this).addClass('current');
        $("#"+tab_id).addClass('current');
    });
    /* cart remove  items */
    $('.remove-btn').click(function(e){
        e.preventDefault(); // Prevent default action of anchor tag
        $(this).closest('.cart-item-wrap').hide();
    });
    /* toogle */
    $(".filter-heading").click(function () {
        $(this).parent('.filter-group-item').toggleClass("pb-00");
        $(this).toggleClass("arrow-down");
        $(this).next('.filter-content').slideToggle("fast");
      });
// slider products
let sync1 = $("#sync1");
let sync2 = $("#sync2");
let slidesPerPage = 4; // globally define number of elements per page
let syncedSecondary = true;
if (sync1.length && sync2.length) {
  sync1.owlCarousel({
    items: 1,
    nav: false,
    autoplay: false,
    dots: false,
    loop: true,
    animateOut: 'fadeOut',
    animateIn: 'fadeIn',
    smartSpeed: 450, // controls animation speed
    responsiveRefreshRate: 200,
  }).on('changed.owl.carousel', syncPosition);
  sync2
    .on('initialized.owl.carousel', function () {
      sync2.find(".owl-item").eq(0).addClass("current");
    })
    .owlCarousel({
      items: slidesPerPage,
      dots: false,
      nav: true,
      slideBy: slidesPerPage,
      responsiveRefreshRate: 100
    }).on('changed.owl.carousel', syncPosition2);
  function syncPosition(el) {
    var count = el.item.count - 1;
    var current = Math.round(el.item.index - (el.item.count / 2) - 0.5);
    if (current < 0) current = count;
    if (current > count) current = 0;
    sync2.find(".owl-item").removeClass("current").eq(current).addClass("current");
    let onscreen = sync2.find('.owl-item.active').length - 1;
    let start = sync2.find('.owl-item.active').first().index();
    let end = sync2.find('.owl-item.active').last().index();
    if (current > end) {
      sync2.data('owl.carousel').to(current, 100, true);
    }
    if (current < start) {
      sync2.data('owl.carousel').to(current - onscreen, 100, true);
    }
  }
  function syncPosition2(el) {
    if (syncedSecondary) {
      var number = el.item.index;
      sync1.data('owl.carousel').to(number, 100, true);
    }
  }
  sync2.on("click", ".owl-item", function (e) {
    e.preventDefault();
    var number = $(this).index();
    sync1.data('owl.carousel').to(number, 300, true);
  });
}
// slider products end
});
